import type { ReactElement, ReactNode } from "react";
import type { PropsWithChildren } from "react";

interface ConditionalWrapperProps {
  condition: boolean;
  wrapper: (
    c: ReactElement | ReactNode,
  ) => ReactElement | ReactNode | JSX.Element;
}

export function ConditionalWrapper({
  condition,
  wrapper,
  children,
}: PropsWithChildren<ConditionalWrapperProps>) {
  return condition ? wrapper(children) : children;
}
