import type { PropsWithChildren } from "react";
import { Link } from "@components/Link";

export interface LinkOrContainerProps {
  href?: string;
  className?: string;
}

export function LinkOrContainer({
  children,
  href,
  className,
}: PropsWithChildren<LinkOrContainerProps>) {
  if (href) {
    return (
      <Link className={className} to={href}>
        {children}
      </Link>
    );
  }
  if (className) {
    return <div className={className}>{children}</div>;
  }

  return children;
}
