import type { PropsWithChildren } from "react";

export interface MessageRoomListProps {
  title?: string;
  className?: string;
}

export function MessageRoomList({
  title,
  children,
  className = "",
}: PropsWithChildren<MessageRoomListProps>) {
  return (
    <div className={className}>
      {title && (
        <h4 className="fs-font-karla fs-text-3xl fs-leading-9 fs-font-bold fs-text-grey-900 fs-tracking-tighter">
          {title}
        </h4>
      )}
      <div className="fs-flex fs-flex-col fs-gap-2 fs-mt-5">{children}</div>
    </div>
  );
}
