import { YoutubeEmbed } from "@components/YoutubeEmbed";
import clsx from "clsx";
// import { useKeenSlider } from "keen-slider/react";

export interface VideoSliderProps {
  videos: string[];
  className?: string;
  title?: string;
}

// TOOO: Fix Videoslider (use Embla like the other sliders)
export function VideoSlider({ videos, className, title }: VideoSliderProps) {
  // const initialSlideIndex = 0;

  // const [, setCurrentIndex] = useState(initialSlideIndex);
  // const [sliderRef, instanceRef] = useKeenSlider({
  //   selector: ".slide",
  //   loop: true,
  //   initial: initialSlideIndex,
  //   slides: {
  //     perView: "auto",
  //     spacing: 8,
  //     origin: "center",
  //   },
  //   slideChanged(e) {
  //     setCurrentIndex(e.track.details.rel);
  //   },
  // });

  return (
    <>
      {title && (
        <div className="container">
          <h3 className="fs-font-inter sm:fs-font-karla fs-text-3xl md:fs-text-5xl fs-leading-9 md:fs-leading-none fs-font-normal fs-text-grey-900 fs-mb-6 md:fs-mb-8">
            {title}
          </h3>
        </div>
      )}

      <div className={clsx("fs-overflow-x-hidden fs-py-8", className)}>
        <div className="fs-flex fs-w-full">
          {videos &&
            videos?.map((video) => (
              <YoutubeEmbed className="slide" key={video} videoId={video} />
            ))}
        </div>
      </div>
    </>
  );
}
