import { AccordionItem } from "@components/AccordionItem";
import type { StoryDefault, Story } from "@ladle/react";

export const AccordionItemStory: Story = () => (
  <div className="fs-prose">
    <AccordionItem title="Closed accordion">
      <p>
        Lorem ipsum dolor sit amet, <strong>consectetur adipiscing elit</strong>
        . Nam egestas sed metus nec molestie. Proin mattis ligula vel eros
        rhoncus, vel dapibus est sollicitudin. Phasellus quis velit diam.
        Suspendisse a aliquet velit. Etiam vel accumsan enim. Sed scelerisque
        leo purus, id luctus purus varius a. In hac habitasse platea dictumst.
        Quisque in lobortis tortor. Sed eu pellentesque sem. Duis sagittis leo
        at nunc condimentum, id cursus orci blandit. Maecenas semper urna sit
        amet viverra interdum.
      </p>
    </AccordionItem>
    <AccordionItem open title="Opened accordion">
      <p>
        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam egestas sed
        metus nec molestie. Proin mattis ligula vel eros rhoncus, vel dapibus
        est sollicitudin. Phasellus quis{" "}
        <a href="https://www.google.de/">velit diam</a>. Suspendisse a aliquet
        velit. Etiam vel accumsan enim. Sed scelerisque leo purus, id luctus
        purus varius a. In hac habitasse platea dictumst. Quisque in lobortis
        tortor. Sed eu pellentesque sem. Duis sagittis leo at nunc condimentum,
        id cursus orci blandit. Maecenas semper urna sit amet viverra interdum.
      </p>
    </AccordionItem>
  </div>
);

export default {
  title: "Molecules",
} satisfies StoryDefault;

AccordionItemStory.storyName = "Accordion";

AccordionItemStory.meta = {
  descriptionTitle: "Accordion",
  description:
    "This is a stateless/controlled Accordion item component. It represents a single item potentially within a group of these items (together they're called Accordion). The state for a group of AccordionItems needs to be kept somewhere outside of the individual items.",
};
