import { ActionBox } from "@components/ActionBox";
import { Button } from "@components/Button";
import type { StoryDefault, Story } from "@ladle/react";

export const ActionBoxStory: Story = () => (
  <>
    <p>Some Text goes here</p>
    <ActionBox
      title="Fab Friday"
      description="Open knowledge Exchange, weekly from 5–6 pm. Some more Text goes here. What is going on?"
    >
      <Button
        text="Join Fab Friday"
        type="primary"
        onClick={() => console.log("Join Fab Friday")}
        className="fs-flex-1 md:fs-flex-initial"
      />
      <Button
        text="Learn more"
        type="tertiary"
        href="/"
        className="fs-flex-1 md:fs-flex-initial"
      />
    </ActionBox>
    <p>Some Text goes here</p>
  </>
);

export default {
  title: "Molecules",
} satisfies StoryDefault;

ActionBoxStory.storyName = "Action Box";
ActionBoxStory.meta = {
  descriptionTitle: "Action Box",
  description:
    "This is a box component, which can contain both plain content as well as side-aligned action items (like buttons). The action items go into the children prop.",
};
