import { Logo } from "@components/Logo";
import { StoryDefault } from "@ladle/react";

export const FchhLogoStory = () => (
  <>
    <div className="fs-flex fs-gap-8">
      <div className="fs-bg-white fs-p-8">
        <Logo />
      </div>
      <div className="fs-bg-grey-900 fs-p-8">
        <Logo lightColor />
      </div>
      <div className="fs-bg-white fs-p-8">
        <Logo monotone />
      </div>
      <div className="fs-bg-grey-900 fs-p-8">
        <Logo monotone lightColor />
      </div>
    </div>
    <div className="fs-flex fs-gap-8">
      <div className="fs-bg-white fs-p-8">
        <Logo organization="frbs" />
      </div>
      <div className="fs-bg-grey-900 fs-p-8">
        <Logo organization="frbs" lightColor />
      </div>
      <div className="fs-bg-white fs-p-8">
        <Logo organization="frbs" monotone />
      </div>
      <div className="fs-bg-grey-900 fs-p-8">
        <Logo organization="frbs" monotone lightColor />
      </div>
    </div>
  </>
);

export default {
  title: "Molecules",
} satisfies StoryDefault;

FchhLogoStory.storyName = "Logo";
FchhLogoStory.meta = {
  descriptionTitle: "Logo",
  description:
    "This is a responsive Logo component for the Logo of Fab City Hamburg or FAB Region Bergisches Städtedreieck. It supports two different text color/font versions as well as a monotone version.",
};
