import { MessageRoom } from "@components/MessageRoom";
import { StoryDefault } from "@ladle/react";

const ROOM_DATA = {
  target: "/",
  name: "[FCHH] Welcome!",
  tag: "#welcome:fabcity.hamburg",
  description:
    "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ac  dante quis nisi porta lobortis vel ac ex. Nulla semper massa eros, vitae interdum dolor elementum eget. Proin dignissim volutpat diam. Donec sed nisi diam. Integer id dui at ligula lobortis viverra. Sed volutpat neque hendrerit accumsan efficitur. Pellentesque blandit, odio sed cursus bibendum, quam lacus fringilla lorem, nec maximus sapien mi non sapien.",
  image: {
    src: "https://picsum.photos/id/1005/200/300",
    alt: "something",
  },
  members: 123,
};

export const MessageRoomStory = () => (
  <div className="container">
    <div className="fs-w-full lg:fs-w-2/3">
      <MessageRoom
        target={ROOM_DATA.target}
        name={ROOM_DATA.name}
        tag={ROOM_DATA.tag}
        description={ROOM_DATA.description}
        image={ROOM_DATA.image}
        members={ROOM_DATA.members}
      />
    </div>
  </div>
);

export default {
  title: "Molecules",
} satisfies StoryDefault;

MessageRoomStory.storyName = "Message Room";
MessageRoomStory.meta = {
  descriptionTitle: "Message Room",
  description:
    "This card is specifically designed to preview a single messaging room/group within a list of rooms. This is mainly used inside the RoomList component.",
};
