import type { Story } from "@ladle/react";
import { Color } from "@interfaces/INews";
import { INews } from "@interfaces/INews";
import { VerticalNewsCardSlider } from "@components/VerticalNewsCardSlider";

const NEWS: INews[] = [
  {
    id: 1,
    title:
      "Circular products need a blockchain. Long headline Test Bla more Text",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit association. Very long text here is more text, blabla. Lorem Ipsum, even more content.",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/1016/650/650",
    },
    date: "2020-01-01",
    category: {
      id: 1,
      title: "Event",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
  {
    id: 2,
    title: "Why circular production needs blockchain",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit association",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/1019/650/650",
    },
    date: "2020-01-01",
    category: {
      id: 2,
      title: "News",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
  {
    id: 3,
    title: "This is an event title event event event",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit association",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/103/650/650",
    },
    date: "2020-01-01",
    category: {
      id: 3,
      title: "Workshop",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
  {
    id: 4,
    title: "Fab City Hamburg",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit associationn",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/1033/650/650",
    },
    date: "2020-01-01",
    category: {
      id: 2,
      title: "News",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
  {
    id: 5,
    title: "Fab City Hamburg",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit association",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/1040/650/650",
    },
    date: "2020-01-01",
    category: {
      id: 1,
      title: "Event",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
  {
    id: 6,
    title: "Fab City Hamburg",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit association",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/1024/650/650",
    },
    date: "2020-01-01",
    category: {
      id: 3,
      title: "Workshop",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
  {
    id: 7,
    title: "Another interesting Card",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit association",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/231/650/650",
    },
    date: "2020-01-01",
    category: {
      id: 3,
      title: "Workshop",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
];

interface VerticalNewsCardSliderStoryProps {
  customBackgroundColor: Color;
  textColor: "dark" | "light";
  variant?: "dark" | "light";
}

export const VerticalNewsCardSliderStory: Story<
  VerticalNewsCardSliderStoryProps
> = ({
  customBackgroundColor,
  textColor,
  variant,
}: VerticalNewsCardSliderStoryProps) => {
  return (
    <div className="fs-w-full fs-mb-10 xl:fs-mb-0">
      <section className="pt-5">
        {/* 
        // @ts-ignore */}
        {variant !== "undefined" ? (
          <VerticalNewsCardSlider
            title="Hamburg Highlights"
            items={NEWS}
            variant={variant}
          />
        ) : (
          <VerticalNewsCardSlider
            title="Hamburg Highlights"
            items={NEWS}
            customBackgroundColor={customBackgroundColor}
            textColor={textColor}
          />
        )}
      </section>
    </div>
  );
};

VerticalNewsCardSliderStory.args = {
  customBackgroundColor: "#fcba03",
};

VerticalNewsCardSliderStory.argTypes = {
  textColor: {
    options: ["dark", "light"],
    control: { type: "select" },
    defaultValue: "dark",
  },
  variant: {
    options: ["dark", "light", undefined],
    control: { type: "radio" },
    defaultValue: "dark",
  },
};

export default {
  title: "Molecules",
};

VerticalNewsCardSliderStory.storyName = "Vertical News Card Slider";
VerticalNewsCardSliderStory.meta = {
  descriptionTitle: "Vertical News Card Slider",
  description:
    "This is a slider for Vertical news card. It reuses the same slider library as the ImageSlider.",
};
